module.exports = {
  create: {
    requestBody: [
      'code',
      'number',
      'batch',
      'gender',
      'floor',
      'ibeacon',
      'status'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'code',
      'number',
      'batch',
      'gender',
      'floor',
      'ibeacon',
      'status'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        code: 'code',
        number  :'number',
        batch :'batch',
        gender:'gender',
        floor :'floor',
        status : 'status'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
