module.exports = {
  create: {
    requestBody: [
      '!lessonid',
      '!stuid',
      '!teacherid',
      'score',
      'remark'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'lessonid',
      'stuid',
      'teacherid',
      'score',
      'remark'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        lessonid :'lessonid',
        stuid :'stuid',
        teacherid :'teacherid',
        score :'score',
        remark:'remark'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
