module.exports = {
  create: {
    requestBody: [
      '!name',
      '!phone',
      '!idnumber',
      '!gender',
      '!zynumber',
      '!zynumberfile',
      '!schid',
      '!schname',
      '!email',
      'openid',
      '!age',
      '!birthday',
      '!entrydate',
      '!politics',
      '!department',
      '!job',
      '!protitle',
      '!education',
      '!degree',
      '!major',
      '!schlesson',
      '!experience',
      '!courses',
      '!academic',
      '!jobyear',
      '!subid',
      '!islyteacher',
      'zlscore',
      'msscore',
      'xsscore',
      'file',
      'status'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'name',
      'phone',
      'idnumber',
      'gender',
      'zynumber',
      'zynumberfile',
      'schid',
      'schname',
      'email',
      'openid',
      'age',
      'birthday',
      'entrydate',
      'politics',
      'department',
      'job',
      'protitle',
      'education',
      'degree',
      'major',
      'schlesson',
      'experience',
      'courses',
      'academic',
      'jobyear',
      'subid',
      'islyteacher',
      'zlscore',
      'msscore',
      'xsscore',
      'file',
      'status'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        name :'name',
        phone :'phone',
        idnumber :'idnumber',
        gender :'gender',
        zynumber :'zynumber',
        zynumberfile :'zynumberfile',
        schid :'schid',
        schname:'schname',
        email :'email',
        openid :'openid',
        age:'age',
        birthday:'birthday',
        entrydate :'entrydate',
        politics:'politics',
        department:'department',
        job :'job',
        protitle:'protitle',
        education:'education',
        degree :'degree',
        major:'major',
        schlesson :'schlesson',
        experience:'experience',
        courses :'courses',
        academic :'academic',
        jobyear:'jobyear',
        subid:'subid',
        islyteacher :'islyteacher',
        zlscore:'zlscore',
        msscore :'msscore',
        xsscore:'xsscore',
        file  :'file',
        status  :'status'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
