module.exports = {
  create: {
    requestBody: [
      '!trainplanid',
      'nodate',
      'classid',
      'headteacherid'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'trainplanid',
      'nodate',
      'classid',
      'headteacherid'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        trainplanid :'trainplanid',
        nodate:'nodate',
        classid :'classid',
        headteacherid :'headteacherid'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
