'use strict';

const _ = require('lodash');
const meta = require('./.setting.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 设置表管理
class SettingController extends Controller {

  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.setting;
  }

  async findone() {
    const data = await this.service.findone();
    this.ctx.ok({ data });
  }

}

module.exports = CrudController(SettingController, meta);
