'use strict';

const _ = require('lodash');
const meta = require('./.teaplan.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 班主任全年计划管理
class TeaplanController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.teaplan;
  }

  async findteacher() {
    const data = await this.service.findteacher(this.ctx.query);
    this.ctx.ok({ data });
  }

  async divide() {
    const data = await this.service.divide(this.ctx.query);
    this.ctx.ok({ data });
  }
}

module.exports = CrudController(TeaplanController, meta);
