'use strict';

module.exports = () => {
  const config = exports = {};

  config.logger = {
    // level: 'DEBUG',
    // consoleLevel: 'DEBUG',
  };

  config.wxapi = {
    appid: 'wxdf3ed83c095be97a', // 微信公众号APPID
    baseUrl: 'http://wx.cc-lotus.info', // 微信网关地址
    mchid: '1505364491', // 商户ID
    mchkey: '1qaz2wsx3edc4rfv5tgb6yhn7ujm8ik9', // 商户key
    wxurl: 'http://free.liaoningdoupo.com/api/wxpayback',
    payurl: 'https://api.mch.weixin.qq.com/pay/unifiedorder',
  };

  // 服务器发布路径
  config.baseUrl = 'http://free.liaoningdoupo.com';
  // 认证回调地址
  config.authUrl = '/api/train/auth';

  // mongoose config
  config.mongoose = {
    url: 'mongodb://127.0.0.1:27017/train',
    options: {
      user: 'admin',
      pass: 'admin',
      authSource: 'admin',
      useNewUrlParser: true,
      useCreateIndex: true,
    },
  };

  // mq配置
  config.amqp = {
    client: {
      hostname: '127.0.0.1',
      username: 'visit',
      password: 'visit',
      vhost: 'train',
    },
    app: true,
    agent: true,
  };

  // redis config
  config.redis = {
    client: {
      port: 6379, // Redis port
      host: '127.0.0.1', // Redis host
      password: 123456,
      db: 0,
    },
  };

  return config;
};
