module.exports = {
  create: {
    requestBody: [
      '!name',
      'number',
      'batchid',
      'termid',
      'planid',
      'planyearid',
      'headteacherid',
      'lyteacherid',
      'yclocationid',
      'kzjhlocationid',
      'kbyslocationid',
      'jslocationid',
      'lessonid',
      'type'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'name',
      'number',
      'batchid',
      'termid',
      'planid',
      'planyearid',
      'headteacherid',
      'lyteacherid',
      'yclocationid',
      'kzjhlocationid',
      'kbyslocationid',
      'jslocationid',
      'lessonid',
      'type'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        name: 'name',
        number  :'number',
        batchid:'batchid',
        termid: 'termid',
        planid: 'planid',
        planyearid:'planyearid',
        headteacherid : 'headteacherid',
        lyteacherid : 'lyteacherid',
        yclocationid:'yclocationid',
        kzjhlocationid :'kzjhlocationid',
        kbyslocationid :'kbyslocationid',
        jslocationid: 'jslocationid',
        lessonid :'lessonid',
        type: 'type'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
