module.exports = {
  create: {
    requestBody: [
      '!classid',
      '!termid',
      '!batchid',
      'lessons'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'classid',
      'termid',
      'batchid',
      'lessons'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        classid:'classid',
        termid:'termid',
        batchid:'batchid',
        lessons :'lessons'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
