module.exports = {
  create: {
    requestBody: [
      '!title',
      '!url',
      '!type',
      'content',
      'tags',
      'score'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'title',
      'url',
      'type',
      'content',
      'tags',
      'score'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        title:'title',
        url :'url',
        type :'type',
        content:'content',
        tags:'tags',
        score :'score'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
