module.exports = {
  create: {
    requestBody: [
      '!materialid',
      '!uid',
      '!score',
      'remark'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'materialid',
      'uid',
      'score',
      'remark'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        materialid:'materialid',
        uid :'uid',
        score :'score',
        remark:'remark'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
