module.exports = {
  create: {
    requestBody: [
      '!type',
      '!topic',
      'status',
      'option'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'type',
      'topic',
      'status',
      'option'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        type:'type',
        topic:'topic',
        status :'status',
        option :'option'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
