module.exports = {
  create: {
    requestBody: [
      '!roomid',
      '!sendid',
      '!receiveid',
      '!type',
      'content'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'roomid',
      'sendid',
      'receiveid',
      'type',
      'content'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        roomid :'roomid',
        sendid:'sendid',
        receiveid :'receiveid',
        type:'type',
        content :'content'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
