module.exports = {
  create: {
    requestBody: [
      'planyearid',
      'planid',
      'termid',
      'user_email',
      'auth_code',
      'am_start',
      'am_end',
      'pm_start',
      'pm_end',
      'bd_start',
      'bd_end'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'planyearid',
      'planid',
      'termid',
      'user_email',
      'auth_code',
      'am_start',
      'am_end',
      'pm_start',
      'pm_end',
      'bd_start',
      'bd_end'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        planyearid: 'planyearid',
        planid: 'planid',
        termid: 'termid',
        user_email: 'user_email',
        auth_code: 'auth_code',
        am_start: 'am_start'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
