module.exports = {
  create: {
    requestBody: [
      '!code',
      '!name',
      '!title',
      'status',
      'question'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'code',
      'name',
      'title',
      'status',
      'question'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        code: 'code',
        name: 'name',
        title:'title',
        status :'status',
        question:'question'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
