'use strict';

const _ = require('lodash');
const meta = require('./.apply.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 教师申请讲课表管理
class ApplyController extends Controller {

  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.apply;
  }

  async queryteacher() {
    const data = await this.service.queryteacher(this.ctx.request.query);
    this.ctx.ok({ data });
  }

}

module.exports = CrudController(ApplyController, meta);
