'use strict';

const _ = require('lodash');
const meta = require('./.attendance.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 考勤表管理
class AttendanceController extends Controller {

  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.attendance;
  }

  // 考勤专用页面
  async wxauth() {
    console.log(this.ctx.query);
    const res = '{}';
    this.ctx.ok({ res });
  }

  async attendancecreate() {
    const res = await this.service.attendancecreate(this.ctx.request.body);
    this.ctx.ok({ res });
  }

}

module.exports = CrudController(AttendanceController, meta);
