'use strict';

const _ = require('lodash');
const meta = require('./.score.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 评分表管理
class ScoreController extends Controller {

  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.score;
  }

  async queryteacher() {
    const data = await this.service.queryteacher(this.ctx.request.query);
    this.ctx.ok({ data });
  }

}

module.exports = CrudController(ScoreController, meta);
