'use strict';

const _ = require('lodash');
const meta = require('./.termquest.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 每期可答问卷表管理
class TermquestController extends Controller {

  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.termquest;
  }

  async queryteacher() {
    const data = await this.service.queryteacher(this.ctx.request.query);
    this.ctx.ok({ data });
  }

}

module.exports = CrudController(TermquestController, meta);
